Bug 412396 - Information Panel confusingly includes hidden files in the file count
Summary: Information Panel confusingly includes hidden files in the file count
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: information (show other bugs)
Version: 19.08.1
Platform: Archlinux Linux
: HI major (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-09-27 11:49 UTC by Patrick Silva
Modified: 2019-10-09 06:58 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.12


Attachments
screenshot (107.26 KB, image/png)
2019-09-27 11:49 UTC, Patrick Silva
Details
dolphin showing hidden files (124.13 KB, image/png)
2019-09-27 14:46 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-09-27 11:49:20 UTC
Created attachment 122903 [details]
screenshot

SUMMARY
See the attached screenshot.
I have 14 folders in my Home, but info panel says that I have 48 items.

EXPECTED RESULT
info panel shows the correct amount of files/folders present in current folder.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.16.90
KDE Frameworks Version: 5.62.0
Qt Version: 5.13.1
Comment 1 Paul 2019-09-27 14:36:20 UTC
Info panel is counting hidden "dot" files ???

So you have 14 folders and 34 hidden files...
Comment 2 Patrick Silva 2019-09-27 14:46:36 UTC
Created attachment 122908 [details]
dolphin showing hidden files

(In reply to Paul from comment #1)
> Info panel is counting hidden "dot" files ???
> 
> So you have 14 folders and 34 hidden files...

yes, it is.
Comment 3 Nate Graham 2019-09-27 19:26:58 UTC
IIRC this is only supposed to include hidden files when hidden files are visible. I guess that broke recently.
Comment 4 Paul 2019-09-28 09:18:13 UTC
Just for information...

On an openSUSE Leap 15.1 system which currently has Dolphin 18.12.3 the behaviour is the same, i.e. hidden files/folders are included in the count shown, irrespective of the state of show hidden files.
Comment 5 Christoph Feck 2019-09-29 03:59:16 UTC
I would say this is intended, or do we want users to always toggle hidden files to check before they are going to delete a folder they think is empty?
Comment 6 Paul 2019-09-29 10:57:02 UTC
Personally, I think the current behaviour is "correct". The information panel should show the total number of items, irrespective of whether they are hidden or not.

I nicety would be to have it show "x items (y hidden)" ... :)
Comment 7 Nate Graham 2019-09-29 13:41:55 UTC
Even if it's intended it's super confusing because unless you know 1) that hidden files exist and 2) that this count includes then, the count just looks wrong, as evidenced by the bug report.

I like Paul's idea of separating out the number of hidden and non-hidden files, since that not onlly improves clarity, but also teaches users that hidden files are a thing.
Comment 8 Patrick Silva 2019-09-30 11:25:52 UTC
maybe "Size: X items" can be replaced with "Items: X (Y hidden)".
Comment 9 Méven Car 2019-10-02 16:12:57 UTC
I have opened a patch proposal https://phabricator.kde.org/D24362 that will hide hidden files from information counts.
Comment 10 Méven Car 2019-10-09 06:58:34 UTC
Git commit e72b3d7ea495b5f21bc1b83f564f32cb6d27948e by Méven Car.
Committed on 09/10/2019 at 06:58.
Pushed by meven into branch 'master'.

Don't count hidden files in folder item count

Summary:
Add a field "Hidden items" to display the number of hidden items, allowing the user to show or hide it.

FIXED-IN: 19.12

Reviewers: ngraham, bruns, elvisangelaccio

Reviewed By: ngraham, elvisangelaccio

Subscribers: alexde, elvisangelaccio, cfeck, #baloo

Tags: #baloo

Differential Revision: https://phabricator.kde.org/D24362

M  +46   -13   src/filemetadataprovider.cpp
M  +3    -3    src/filemetadataprovider.h

https://commits.kde.org/baloo-widgets/e72b3d7ea495b5f21bc1b83f564f32cb6d27948e